[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonThread.ShutDownDaemon

Shut down daemon

## Declaration

Source position: daemonapp.pp line 320

`public function TDaemonThread.ShutDownDaemon: Boolean; virtual;`

## Function result

The result of TDaemon.Shutdown

## Description

ShutDownDaemon shuts down the daemon. This happens normally only when the system is shut down and the daemon didn't respond to the stop request. The return result is the result of the TDaemon.Shutdown function. The thread is terminated by this method.

## See also

TDaemon.Shutdown
TDaemonThread.StopDaemon |  | Stops the daemon
TDaemonThread.PauseDaemon |  | Pause the daemon
TDaemonThread.ContinueDaemon |  | Continue the daemon

The latest version of this document can be found at lazarus-ccr.sourceforge.net.